Skip to main content
GET
/
coupon-list
/
{coupon_list_id}
/
files
/
{coupon_file_id}
Fetch a Coupon File from Coupon List
curl --request GET \
  --url https://api-0{dc}.moengage.com/v1/coupon-list/{coupon_list_id}/files/{coupon_file_id} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'MOE-APPKEY: <moe-appkey>'
{
  "coupon_list_id": "<string>",
  "name": "<string>",
  "status": "<string>",
  "file_url": "<string>",
  "created_by": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>",
  "_id": "<string>",
  "added_coupons": 123
}
InformationThere is no request body or content to send for this request except for headers.

Rate Limit

You can fetch 10,000 coupon files from a coupon list per day.

Authorizations

Authorization
string
header
required

Uses Workspace ID as username and API Key as password.

Headers

MOE-APPKEY
string
required

This is the workspace ID (earlier APP ID) of your MoEngage workspace. The MOE-APPKEY has to be passed in the request. You can find your MoEngage Workspace ID in the MoEngage Dashboard: Settings -> Account -> APIs -> Workspace ID (earlier app id).

Path Parameters

coupon_list_id
string
required

The unique identifier for the coupon list.

coupon_file_id
string
required

The unique identifier for the coupon file.

Response

Success Indicates that the request was successful and the coupon file was fetched.

coupon_list_id
string

This field contains the coupon list ID from which you fetched the coupon file.

name
string

This field contains the coupon file name.

status
string

This field shows one of the following statuses of the fetched coupon file:

  • PENDING
file_url
string

This field consists of the file path of the coupon list.

created_by
string

This field consists of the name of the subscriber who uploaded the coupon file.

created_at
string

This field consists of the date and time the coupon file was created.

updated_at
string

This field consists of the date and time of the most recent update to the coupon file.

_id
string

This field contains the unique ID corresponding to a successful coupon file fetch request. This ID is also used to update and archive coupon files from the coupon list.

added_coupons
integer

This field consists of the available number of coupons added to the coupon list.